<?
# Автор: ArtBoy
# E-mail: tema18-18@mail.ru
# ICQ: 39-63-59-172
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Продажа Авторитета';
include_once '../sys/inc/thead.php';

if (!isset($user) && !isset($_GET['id'])){header("Location: /index.php?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /index.php?".SID);exit;}
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1"));


title();
err();
aut();

if(!isset($user)){
echo '<div class="err"> закрыт для гостей.</div>';
}else{





only_reg();





if($user['rating']<=5)
{
echo '<b>Извините ,но у вас не хватает  авторитета для покупки баллов!</b><br/>';
echo "<<<a href='/rating/'>назад</a><br/>\n";

include_once '../sys/inc/tfoot.php';
exit();


break;};







if(isset($_GET['clean']))
{
if(isset($_GET['ok']))
{
mysql_query("UPDATE `user` SET `rating` = '".($user['rating']-1)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("INSERT INTO `user_voice2` (`rating`, `id_user`, `id_kont`) VALUES ('-1','0','$user[id]')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+250)."' WHERE `id` = '$user[id]' LIMIT 1");

msg('Вы продали 1% авторитета за 250 баллов');

}
else
{
echo"<div class='foot'>\n";
echo"Вы уверены что хотите продать авторитет? <a href='?clean&amp;ok'>Да</a>|<a href='?'>Нет</a><br />\n";
echo"</div>\n";
}
}






echo "<hr><span class=\"ank_n\">Ваш авторитет:</span> <span class=\"ank_d\">$ank[rating]</span><br />\n";
echo "<span class=\"ank_n\">У вас баллов:</span> <span class=\"ank_d\">$ank[balls]</span><br /><hr>\n";


echo '<img src="/rating/img/new.gif" alt=""/> ';
echo "<a href='?clean'>Продать авторитет</a><br/>\n";
echo "<< <a href='/rating/'>назад</a><br/>\n";
}
include_once '../sys/inc/tfoot.php';
?>